#! /bin/bash

# Create symbolic links to the configuration files in dotfiles.  This shell
# script assumes that the directory 'dotfiles' is located in the home
# directory.
./install_vim.sh
cd ~
rm -f .zshrc
ln -s ~/dotfiles/.zshrc .zshrc
rm -f .tmux.conf
ln -s ~/dotfiles/.tmux.conf .tmux.conf
rm -f .startxwinrc
ln -s ~/dotfiles/.startxwinrc .startxwinrc
rm -f .clang-format
ln -s ~/dotfiles/.clang-format .clang-format
mkdir -p .emacs.d
rm -f .emacs.d/init.el
rm -f .gdbinit
ln -s ~/dotfiles/.gdbinit .gdbinit
if [ "$OSTYPE" == "linux-gnu" ] 
then
    if [ $(hostname) == "iron" ]
    then
        ln -s ~/dotfiles/init_vm.el .emacs.d/init.el
        sudo cp ~/dotfiles/stmux-iron /usr/local/bin/stmux
    elif [ $(hostname) == "gallium" ]
    then
        ln -s ~/dotfiles/init_gallium.el .emacs.d/init.el
    else
        ln -s ~/dotfiles/init_linux-gnu.el .emacs.d/init.el
    fi
elif [ "$OSTYPE" == "cygwin" ]
then
    ln -s ~/dotfiles/init.el .emacs.d/init.el
    rm -f /usr/local/bin/placer.tex
    cp ~/dotfiles/placer.tex /usr/local/bin
    rm -f /usr/local/bin/latexfig
    cp ~/dotfiles/latexfig /usr/local/bin
    rm -f .aspell.en.pws
    ln -s ~/dotfiles/.aspell.en.pws .aspell.en.pws
    cp ~/dotfiles/stmux-cygwin /usr/local/bin/stmux
elif [ "$OSTYPE" == "linux-gnueabihf" ]
then
    ln -s ~/dotfiles/init_vm.el .emacs.d/init.el
else
    echo "Error: Unrecognized OS" 1>&2
    exit 1
fi
mkdir -p emacslisp
rm -f emacslisp/matlab.el
ln -s ~/dotfiles/matlab.el emacslisp/matlab.el
rm -f emacslisp/modern-cpp-font-lock.el
ln -s ~/dotfiles/modern-cpp-font-lock.el emacslisp/modern-cpp-font-lock.el
